This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: distutils: build_ext -D wrongly assume defining a symbol with no value
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: monson
Priority: normal Keywords: patch

Created on 2018-07-25 08:58 by monson, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8458 open monson, 2018-07-25 08:59
Messages (2)
msg322344 - (view) Author: monson (monson) * Date: 2018-07-25 08:57
`python setup.py build_ext -D zero,one=v1,two=k2=v2` will generate preprocessor argument `-D zero=1 -D one=v1=1 -D two=k2=v2=1`.
Expect `-D zero=1 -D one=v1 -D two=k2=v2`.
msg394846 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-06-01 09:18
distutils is deprecated and no further bugs will be fixed (other than newly discovered release blockers).

You will want to report this to setuptools instead.
History
Date User Action Args
2022-04-11 14:59:03adminsetgithub: 78400
2021-06-01 09:19:03steve.dowersetnosy: - steve.dower
2021-06-01 09:18:55steve.dowersetstatus: open -> closed

messages: + msg394846
resolution: out of date
stage: patch review -> resolved
2021-05-29 12:57:41iritkatrielsetnosy: + steve.dower
2018-08-27 08:38:24monsonsetversions: + Python 3.8, - Python 3.7
2018-07-25 08:59:45monsonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request7982
2018-07-25 08:58:00monsoncreate